package com.yihu.hos.broker.configurations;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

/**
 * @created Airhead 2016/8/1.
 */
@RefreshScope
@Component
public class ArbiterConfiguration {
    @Value("${hos.arbiter.enable}")
    private boolean enable;

    @Value("${hos.arbiter.url}")
    private String server;

    @Value("${hos.tenant.name}")
    private String tenant;

    public String getServer() {
        return server;
    }

    public boolean getEnable() {
        return enable;
    }

    public String getTenant() {
        return tenant;
    }
}
