package com.yihu.hos.broker.common.camelrouter;

import org.apache.camel.builder.RouteBuilder;
import org.springframework.stereotype.Component;

/**
 * Created by l4qiang on 2017-06-16.
 */
@Component
public class MonitorRouterBulider extends RouteBuilder {
    @Override
    public void configure() throws Exception {
        // 服务器硬件数据采集
        from("quartz2://monitor/serverMonitor?cron=0 0/1 * * * ?")
                .to("bean:serverMonitorService?method=collectEnvHealth");


        // 服务器ip列表检查，用于检查服务器列表是否注册到数据库中，没注册则添加
        // @Scheduled(cron = "0 0 12 * * ?") //每天中午12点触发
        from("quartz2://monitor/checkHost?cron=0 0 12 * * ?")
                .to("bean:serverMonitorService?method=checkHost");
    }

}
